<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
############################################################################
/*************************** Version 20190420 *****************************/
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS US 3 Day Front Forecast Charts"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS US 3 Day Front Forecast Charts');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS US 3 Day Front Forecast Charts';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
?>
<link href="css/hover-tiny.css" rel="stylesheet" media="all"/>
<style type="text/css">
.hidden {
	display: none;
	position: absolute;
	left: 0px;
	top:  0px;
	}
.shown {
	display: block;
	position: absolute;
	left: 0px;
	top:  0px;
	}
 div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
	}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
/******************************* Settings *********************************/
$divWidth = 656; // Narrow style width
$maxWidth = 887; // Maximum width of images
/***************************  End of Settings *****************************/
if (isset($_SESSION['CSSwidescreen'])) {
  $divWidth = ($_SESSION['CSSwidescreen']==1)? $maxWidth : $divWidth;
}
$divWidth = $standAlone?$maxWidth:$divWidth;
date_default_timezone_set("US/Eastern");	# The NWS calculations are based on US/Eastern Timezone
$next_day = -1;
if (date("G")>3) {
	$next_day = 0;
}
#echo 'date("G") = '.date("G").'<br/>'; // Debug Code
#echo '$next_day = '.$next_day.'<br/>'; // Debug Code
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:inset">
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth ?>px">
	<br/><h2 align="center">NWS US 3 Day Front Forecast Charts<br/></h2>
      <div class="center" style="text-align:center">
        <table width="99%" align="center">
          <tr style="font-weight:bold; padding:0px; cursor:pointer">
            <td>Today: <?php $today = mktime(0,0,0,date("m"),date("d")+$next_day,date("Y")); echo date("D", $today).', '; echo date("M j, Y", $today);?><a class="hvr-glow hvr-grow" onmouseover="show_tab('day1')"><img src="https://www.wpc.ncep.noaa.gov/noaa/noaad1.gif" width="<?php echo $divWidth!=$maxWidth?'210':'285'?>" alt="todays map"/></a></td>
          <td>Tomorrow: <?php $tomorrow = mktime(0,0,0,date("m"),date("d")+1+$next_day,date("Y")); echo date("D", $tomorrow).', '; echo date("M j, Y", $tomorrow);?><a class="hvr-glow hvr-grow" onmouseover="show_tab('day2')"><img src="https://www.wpc.ncep.noaa.gov/noaa/noaad2.gif" width="<?php echo $divWidth!=$maxWidth?'210':'285'?>" alt="tomorrows map"/></a></td>
          <td>In 2 Days: <?php $datomorrow = mktime(0,0,0,date("m"),date("d")+2+$next_day,date("Y")); echo date("D", $datomorrow).', '; echo date("M j, Y", $datomorrow);?><a class="hvr-glow hvr-grow" onmouseover="show_tab('day3')"><img src="https://www.wpc.ncep.noaa.gov/noaa/noaad3.gif" width="<?php echo $divWidth!=$maxWidth?'210':'285'?>" alt="day after tomorrows map"/></a></td></tr>
          </table>
	    <div class="center" style="text-height:100%">(Hover over a thumbnail to display a new chart.)</div>
      </div><hr/>
		<div class="center" style="width:<?php echo $divWidth ?>px; position:relative">
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/noaa/noaad1.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.wpc.ncep.noaa.gov/noaa/noaad1.gif" id="day1" class="hidden" style="width:<?php echo $divWidth ?>px" alt="Day 1"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/noaa/noaad2.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.wpc.ncep.noaa.gov/noaa/noaad2.gif" id="day2" class="hidden" style="width:<?php echo $divWidth ?>px" alt="Day 2"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
        <?php echo ($divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/noaa/noaad3.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.wpc.ncep.noaa.gov/noaa/noaad3.gif" id="day3" class="hidden" style="width:<?php echo $divWidth ?>px" alt="Day 3"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
	  <div class="center" style="width:<?php echo $divWidth ?>px; display:block">        
	    <?php echo ($divWidth!=$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/noaa/noaad1.gif" target="_blank" title="Larger Image">':'')?><img src="https://www.wpc.ncep.noaa.gov/noaa/noaad1.gif" style="width:<?php echo $divWidth ?>px" alt="Day 1"/><?php echo ($divWidth!=$maxWidth?'</a>':'')?>
    </div>
    <hr/>
    <?php if (!$standAlone) {
		  echo '<p align="center" style="font-size:14px"><a href="wxus3dfrontfc-SA.php" target="_blank">Full Size Maps</a></p>';
	  } ?>
    <p align="center">Click for <a href="wxus3-7dfrontfc<?php echo $standAlone?'-SA':''?>.php">3-7 Day</a> Front Forecast Charts<br/>
      <span style="font-size:10px; line-height:130%">
    	Maps and Data Courtesy of NOAA NWS <a href="https://www.wpc.ncep.noaa.gov/national_forecast/natfcst.php?day=1" target="_blank" title="Opens in New Tab">Weather Prediction Center</a>.<br/>
      Script by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a>.</span></p>
	</div>
  </div>
<script language="Javascript" type="text/javascript">
function show_tab(nam)
   {
   document.getElementById("day1").style.display= "none";
   document.getElementById("day2").style.display= "none";
   document.getElementById("day3").style.display= "none";
   document.getElementById(nam).style.display = "block";
   }
</script>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
  date_default_timezone_set($SITE['tz']);	# Reset to default TimeZone
 	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>